classification
Title: Incorrect documentation for `-u`-flag
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, iritkatriel, olavmrk
Priority: normal Keywords: patch

Created on 2016-05-05 17:06 by olavmrk, last changed 2020-10-11 18:43 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
fix-doc-unbuffered.patch olavmrk, 2016-05-05 17:06 review
Messages (2)
msg264910 - (view) Author: Olav Morken (olavmrk) * Date: 2016-05-05 17:06
The documentation for the `-u`-flag (https://docs.python.org/3/using/cmdline.html#cmdoption-u) contains:

> The text I/O layer will still be line-buffered if writing to the console, or block-buffered if redirected to a non-interactive file.

This does not appear to be the case -- instead it is always line-buffered:

https://hg.python.org/cpython/file/v3.5.1/Python/pylifecycle.c#l1041

Attached is a trivial patch that simply removes everything after "line-buffered".
msg378443 - (view) Author: Irit Katriel (iritkatriel) * (Python triager) Date: 2020-10-11 18:07
I think this issue is out of date (the offending sentence is no longer there).
History
Date User Action Args
2020-10-11 18:43:02serhiy.storchakasetstatus: open -> closed
resolution: out of date
stage: patch review -> resolved
2020-10-11 18:07:33iritkatrielsetnosy: + iritkatriel
messages: + msg378443
2016-10-06 10:54:46berker.peksagsetnosy: + berker.peksag
stage: patch review
type: behavior

versions: + Python 3.5, Python 3.6, Python 3.7
2016-05-05 17:06:37olavmrkcreate